Name: x11-driver-video-sis
Version: 0.10.7
Release: %mkrel 6
Summary: X.org driver for SiS Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-sis-%{version}.tar.bz2
License: MIT
 
BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

Patch1: 0001-Fix-compilation-with-Werror-format-security.patch
Patch2: 0001-Replace-xf86UnMapVidMem-with-pci_device_unmap_range.diff
Patch3: Remove-mibstore.h.patch
Patch4: Stop-including-xf86Priv.h.patch

# From Archlinux
Patch5: 0001-Disable-UploadToScreen-and-DownloadFromScreen.patch

%description
x11-driver-video-sis is the X.org driver for SiS Cards.

%prep
%setup -q -n xf86-video-sis-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%{_libdir}/xorg/modules/drivers/sis_drv.la
%{_libdir}/xorg/modules/drivers/sis_drv.so
%{_mandir}/man4/sis.*




%changelog

* Sun Apr 28 2013 anssi <anssi> 0.10.7-6.mga3
+ Revision: 411532
- fix X server crash without noaccel (mga #7521, patch from Archlinux)

* Sat Feb 09 2013 tmb <tmb> 0.10.7-5.mga3
+ Revision: 397434
- Remove mibstore.h (P3)
- Stop including xf86Priv.h (P4)

* Mon Jan 14 2013 umeabot <umeabot> 0.10.7-4.mga3
+ Revision: 386024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 19 2012 tv <tv> 0.10.7-3.mga3
+ Revision: 296257
- fix X not starting after first run (X.Org bug#18028)

* Thu Sep 06 2012 tv <tv> 0.10.7-2.mga3.nonfree
+ Revision: 288974
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 0.10.7-1.mga3
+ Revision: 273757
- new release

* Thu Jul 12 2012 tv <tv> 0.10.6-1.mga3
+ Revision: 270200
- new release

* Wed Jun 06 2012 tmb <tmb> 0.10.4-3.mga3
+ Revision: 256485
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.10.4-2.mga3
+ Revision: 253023
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.10.4-1.mga3
+ Revision: 249897
- new release

* Tue Dec 06 2011 tmb <tmb> 0.10.3-6.mga2
+ Revision: 177663
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.10.3-5.mga2
+ Revision: 153132
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.10.3-4.mga1
+ Revision: 64414
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.10.3-3.mga1
+ Revision: 50299
- imported package x11-driver-video-sis


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 0.10.3-3mdv2011.0
+ Revision: 595713
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 0.10.3-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Jul 20 2010 Thierry Vignaud <tv@mandriva.org> 0.10.3-1mdv2011.0
+ Revision: 555161
- new release

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 0.10.2-2mdv2010.1
+ Revision: 464341
- rebuild for new xserver

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 0.10.2-1mdv2010.0
+ Revision: 407718
- fix build
- new release

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 0.10.1-2mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Tue Dec 23 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 0.10.1-1mdv2009.1
+ Revision: 317952
- Fix compilation with -Werror=format-security
- New version 0.10.1

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.10.0-3mdv2009.1
+ Revision: 308148
- rebuild for new X server

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)
    - improved description
    - add missing dot at end of description
    - improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.10.0-1mdv2009.0
+ Revision: 194153
- Update to version 0.10.0.

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.9.4-4mdv2008.1
+ Revision: 166110
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.9.4-3mdv2008.1
+ Revision: 156620
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.9.4-2mdv2008.1
+ Revision: 154794
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Properly use existing tag xf86-video-sis-0.9.4 to generate tarball.
  There was no changes from this tag to the point mandriva branch was created,
  so, only spec changes were generated.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Thierry Vignaud <tv@mandriva.org> 0.9.4-1mdv2008.1
+ Revision: 110426
- new release

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.9.3-2mdv2008.1
+ Revision: 99046
- minor spec cleanup
- build against new xserver (1.4)

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Fri Dec 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.3-1mdv2007.0
+ Revision: 89726
- new release
- kill old tarball
- fix group

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

